View Issue Details

IDProjectCategoryView StatusLast Update
06098Bug reports[All Projects] Survey designpublic2012-05-17 10:27
Reporteruser19892Assigned Toc_schmitz 
PriorityhighSeveritymajor 
Status closedResolutionfixed 
Product Version1.92+ 
Target VersionFixed in Version1.92+ 
Summary06098: "Quick Add" in label set editor produces a JavaScript error: "sourcecode undefined"
Description

"Quick Add" in the label set editor produces a "sourcode is undefined" error in Firefox and the following in IE 9:

Webpage error details

User Agent: Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 6.1; WOW64; Trident/5.0; SLCC2; .NET CLR 2.0.50727; .NET CLR 3.5.30729; .NET CLR 3.0.30729; Media Center PC 6.0; .NET4.0C; .NET4.0E; InfoPath.3)
Timestamp: Tue, 15 May 2012 15:41:41 UTC

Message: Unable to get value of the property 'length': object is null or undefined
Line: 295
Char: 5
Code: 0
URI: http://rexsurveys.com/limesurvey/admin/scripts/updateset.js

Steps To Reproduce

Steps to reproduce:

  • Click the "Edit Label Sets" icon on the front page
  • Add a new label set
  • Name it anything, do not import any labels
  • Click "Save"
  • In the language tab (my default is English), click "Quick Add"
  • Nothing will happen and the JavaScript error will appear.
Additional Information

Tested in IE 9 and FF 12

TagsNo tags attached.
Complete LimeSurvey version number (& build)120509
I will donate to the project if issue is resolvedYes
BrowserIE 9
Database & DB-VersionMySQL 5.0
Operating System (Server)Linux
Webserver software & version? (Hosted)
PHP Version5.3.8

Activities

c_schmitz

c_schmitz

2012-05-17 10:27

administrator   ~18816

New 1.92+ version released.

Issue History

Date Modified Username Field Change
2012-05-15 17:54 user19892 New Issue
2012-05-15 18:23 c_schmitz Status new => resolved
2012-05-15 18:23 c_schmitz Fixed in Version => 1.92+
2012-05-15 18:23 c_schmitz Resolution open => fixed
2012-05-15 18:23 c_schmitz Assigned To => c_schmitz
2012-05-17 10:27 c_schmitz Note Added: 18816
2012-05-17 10:27 c_schmitz Status resolved => closed